spring:
  application:
    name: CBM-Portal Forms Test
  datasource:
    url: jdbc:h2:mem:testdb
    driver-class-name: org.h2.Driver
    username: sa
    password:
  jpa:
    database-platform: org.hibernate.dialect.H2Dialect
  flyway:
    enabled: false

microsoft:
  graph:
    tenant-id: test-tenant-id
    client-id: test-client-id
    client-secret: test-client-secret
    sender-email: test@example.com

cbm:
  htmlFormLocation: src/main/resources/static/html-forms/
  pdfFiles: target/test-pdfs/
  signSecret: test-signing-secret-for-jwt-token
  dbuser: sa
  dbpass:
  dbport: 5432
  mailPass: test-password
  mailUser: test@example.com
  security:
    maxSessionsPerUser: 2
  departmentEmails:
    HR: test-hr@example.com
    Finance: test-finance@example.com
    Operations: test-operations@example.com
    Supply: test-supply@example.com
    Repair: test-repair@example.com
    Payroll: test-payroll@example.com
    Terminations: test-terminations@example.com
    NewHires: test-newhires@example.com

server:
  port: 0
